/*
 *
 * DATE-11-9999.c
 *
 *	キーボードから二つの整数(一方は奇数で他方は偶数)を入力し、
 *  36 に近い(遠くない)数を出力する
 */

#include <stdio.h>
#include "s_print.h"
#include "s_input.h"

/*
 *	コンパイル :
 *		cc -I ~/c/include -c DATE-11-9999.c
 *		cc -o DATE-11-9999.exe DATE-11-9999.o
 *	実行 :
 *		./DATE-11-9999.exe
 */

/*
 * int distance ( int a, int b ) 
 *	二つの整数 a, b の間距離 ( | a - b | ) を返す関数
 */

int distance ( int a, int b ) {	/* distance ( a, b ) == | a - b | */

	if ( a > b ) {		/* もし a の方が大きいならば */
		return a - b;	/* | a - b | = a - b */
	} else {			/* そうでなければ .. */

	/*
	**	 この部分を完成させなさい
	*/

	}
}

/*
 * print_near_number ( int a, int b )
 *		a, b の二つの整数の内、36 に近い(遠くない)方の数を出力する
 */

void print_near_number ( int a, int b ) {

	s_print_int ( a );
	s_print_string ( " と " );

	/*
	**	 この部分を完成させなさい
	*/

	s_print_int ( 36 );
	s_print_string ( " に近いのは " );

	if ( distance ( a, 36 ) < distance ( b, 36 ) ) {	/* a の方が近い */
		s_print_int ( a );
	} else {										/* そうでない */

	/*
	**	 この部分を完成させなさい
	*/

	}

	s_print_string ( " です。\n" );
}

/*
 * input_sub ( int a )
 *		もう一つの数を入力して、print_near_number を呼びだす。
 */

void input_sub ( int a ) {

	s_print_string ( "二つ目の整数を入力してください : " );
	print_near_number ( a, s_input_int() );

}

/*
 *	main
 */

int main ( void )
{

	printf ( "一つ目の整数を入力してください : " );

	/*
	**	 この部分を完成させなさい
	*/


	return 0;
}

