/*
 * 20200724-14-9999.c
 *
 *	方程式 x^3 - 11 x^2 + 34 x - 24 = 0 の自然数解を虱潰しで解く
 */

#include <stdio.h>
#include "s_print.h"
#include "s_input.h"

/*
 *	コンパイル :
 *		cc -I ~/c/include -c 20200724-14-9999.c
 *		cc -o 20200724-14-9999.exe 20200724-14-9999.o
 *	実行 :
 *		./20200724-14-9999.exe
 */

/*
 *	虱潰し、方程式「x^3 - 11 x^2 + 34 x - 24 = 0」の解を求める
 *	但し、解は、相異なる自然数である事が予め解っているものとする
 */

void check_root ( int p, int q, int r, int x, int mx ) {

	if ( x > mx ) {	/* 自然数の解があるとすれば、定数項の絶対値より小さいはず */
	 	/* もう解は存在しない */
	} else {
		if ( x * x * x - p * x * x + q * x - r == 0 ) {
			/* もし、x の値を方程式に代入して、等式が成り立つなら .. */
			/* その解を出力して.. */
			s_print_string ( " " );

	/*
	**	 この部分を完成させなさい
	*/

			s_print_string ( " と" );
		} else {
			/* 成立しない場合は、何もしない */
		}
		/* 次の解の候補を調べる (再帰呼出し) */

	/*
	**	 この部分を完成させなさい
	*/

	}
}

/*
 *
 */

int main ( void ) {

	s_print_string ( "方程式 x^3 - 11 x^2 + 34 x - 24 = 0 の解は" );
	check_root ( 11, 34, 24, 1, 24 );
	s_print_string ( "の 3 つです。\n" );

	return 0;
}

/*
 *
 */

