/*
 * 20200724-08-9999.c
 *
 *	与えられた 英 語の挨拶を 日本 語の挨拶に変換する
 */

#include <stdio.h>
#include "s_print.h"
#include "s_input.h"

/*
 *	コンパイル :
 *		cc -I ~/c/include -c 20200724-08-9999.c
 *		cc -o 20200724-08-9999.exe 20200724-08-9999.o
 *	実行 :
 *		./20200724-08-9999.exe
 */

/*
 * void translator ( char *hello )
 */

void translator ( char *hello )	{

	 /*
	  * cf. http://eigozuki.com/html/hyogen-greeting.shtml
	  */

	if ( !strcmp ( hello, "Hello." ) ) {
	 	s_print_string ( "こんにちは。" );
	} else if ( !strcmp ( hello, "Good morning." ) ) {
	 	s_print_string ( "おはよう。" );
	} else if ( !strcmp ( hello, "Good evening." ) ) {
	 	s_print_string ( "こんばんわ。" );
	}

}

/*
 *	main
 */

int main ( void )
{

	s_print_string ( "英 語の挨拶を入力してください 日本 語に変換します :" );

	translator ( s_input_string() );

	s_print_newline();

	return 0;
}

/*
 *
 */

