/*
 * 20200724-10-9999.c
 *	キーボードから沢山の正の数値を幾つか入力し、その総和を計算する
 *  0 以下の数値が入ったら、計算終了
 */

#include <stdio.h>
#include "s_print.h"
#include "s_input.h"

/*
 * コンパイル/リンク/実行:
 *		cc -I ~/c/include -c 20200724-10-9999.c
 *		cc -o 20200724-10-9999.exe 20200724-10-9999.o
 *		./20200724-10-9999.exe
 */

/*
 *
 */

int total ( int sum, int input_num ) {

	if ( input_num <= 0 )	{	/* もし入力した数が 0 以下なら.. */
		/* 是迄の総和を返せば良い */
		return sum;
	} else {					/* そうでなければ */
		/* その値を、これまでの結果に加え、整数値を入力する */
		return total ( sum + input_num, s_input_int() );
	}

}

/*
 *	main
 */

int main ( void ) {

  s_print_string ( "正の整数をいくつか入力してください。0 以下の数で終了です。\n" );

  s_print_int ( total ( 0, s_input_int() ) );

  s_print_newline();

  return 0;
}

/*
 *
 */

