/*
 * 20200724-18-9999.c
 *
 * 次の漸化式の形で定義された数列 { a_n } の第 105 項目を求めなさい。
 *		a_1 = 13
 *		a_{n+1} = (2 * a_{n} + 11) mod 234
 */

#include <stdio.h>

#include "s_print.h"

/*
 *	コンパイル :
 *		cc -I ~/c/include -c 20200724-18-9999.c
 *		cc -o 20200724-18-9999.exe 20200724-18-9999.o
 *	実行 :
 *		./20200724-18-9999.exe
 */

/*
 * 漸化式に基き、a_n を計算する関数 func(n) を定義する
 */

int func ( int n ) {

	if ( n <= 1 ) {		/* 本当は n == 1 で良いが安全性のため n <= 1 とする */
		/* 初項なので.. */

	/*
	**	 この部分を完成させなさい
	*/

	} else {			/* n = k + 1 の時は、n = k の値を再帰で求める */
		/* n=k+1 の時、k=n-1 の値を再帰で求める事ができれば */
		/* a_n = a_{k+1} = ( 2 * a_k + 11 ) % 234 = ( 2 * a_{n-1} + 11 ) % 234 */
        /* となるので... */

	/*
	**	 この部分を完成させなさい
	*/

	}
}

/*
 *
 */

int main ( void ) {

	s_print_string ( "初項   a_1     = 13\n" );
	s_print_string ( "一般項 a_{n+1} = ( 2 * a_n + 11 ) % 234\n" );
	s_print_string ( "で、定義された数列 {a_n} の第 105 項の値は " );

	/*
	**	 この部分を完成させなさい
	*/

	s_print_string ( " です。\n" );

	return 0;
}

/*
 *
 */

